#!/bin/ksh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# $Date: 2005/01/18 $
# $Name: EauDouce.cfg $
# $Revision: 1.1.1 $
# History:
# Modification:
#
#**************************************************************

input=$@
paper=-p
frequency=1:1:1 #loop sequence in time

#  l=`sloop`:`sloop+20`@ave
# atlas -d -o Atlas1 Atlas1.cfg toto

# echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Legende Web" -o OutSubDir  MyScript.jnl ' arguments...  '
#echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Legende Web" -o OutSubRep



echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "CM605-LR-pdCtrl-01 " -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_grid_U.nc" "/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_bsf.nc"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " CM605.THC1-LR-pdCtrl-01" -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/CM605.THC1-LR-pdCtrl-01_SE_2100_2199_1M_grid_U.nc" "/data/swingedouw/IPSL_VALID/CM605.THC1-LR-pdCtrl-01_SE_2100_2199_1M_bsf.nc"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " CM603T02V01" -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/CM603T02V01_SE_2000_2059_1M_grid_U.nc" "/data/swingedouw/IPSL_VALID/CM603T02V01_SE_2000_2059_1M_bsf.nc"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " NPv5.70PDctrl01" -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/NPv5.70PDctrl01_SE_2000_2099_1M_grid_U.nc" "/data/swingedouw/IPSL_VALID/NPv5.70PDctrl01_SE_2000_2099_1M_bsf.nc"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " eOR1L3P-R6812-IA-REF" -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/eOR1L3P-R6812-IA-REF_19480101_20091231_1Y_grid_U.nc" "/data/swingedouw/IPSL_VALID/eOR1L3P-R6812-IA-REF_19480101_20091231_1Y_bsf.nc"'

#echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " BSF" -o OutSubRep DS_SavePsiBarotropeOrca1 '"/data/swingedouw/IPSL_VALID/" "/data/swingedouw/IPSL_VALID/"'

# Diff

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " CM605.THC1-LR-pdCtrl-01- CM605-LR-pdCtrl-01" -o OutSubRep DS_DiffCarteVarOceORCA1.jnl '"/data/swingedouw/IPSL_VALID/CM605.THC1-LR-pdCtrl-01_SE_2100_2199_1M_bsf.nc  " "/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_bsf.nc" "bsf" "/pal=light_centered/lev=(-INF)(-30,30,4)(INF)" "l=1:12@ave" "/hlim=-180:180/vlim=-90:90" "BSF: CM605.THC1-LR-pdCtrl-01 - CM605-LR-pdCtrl-01"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " CM603T02V01- CM605-LR-pdCtrl-01" -o OutSubRep DS_DiffCarteVarOceORCA1.jnl '"/data/swingedouw/IPSL_VALID/CM603T02V01_SE_2000_2059_1M_bsf.nc  " "/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_bsf.nc" "bsf" "/pal=light_centered/lev=(-INF)(-30,30,4)(INF)" "l=1:12@ave" "/hlim=-180:180/vlim=-90:90" "BSF: CM603T02V01 - CM605-LR-pdCtrl-01"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "NPv5.70PDctrl01- CM605-LR-pdCtrl-01" -o OutSubRep DS_DiffCarteVarOceORCA1.jnl '"/data/swingedouw/IPSL_VALID/NPv5.70PDctrl01_SE_2000_2099_1M_bsf.nc  " "/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_bsf.nc" "bsf" "/pal=light_centered/lev=(-INF)(-30,30,4)(INF)" "l=1:12@ave" "/hlim=-180:180/vlim=-90:90" "BSF: NPv5.70PDctrl01 - CM605-LR-pdCtrl-01"'

echo $input | ferretloop -d -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "eOR1L3P-R6812-IA-REF- CM605-LR-pdCtrl-01" -o OutSubRep DS_DiffCarteVarOceORCA1.jnl '"/data/swingedouw/IPSL_VALID/eOR1L3P-R6812-IA-REF_19480101_20091231_1Y_bsf.nc  " "/data/swingedouw/IPSL_VALID/CM605-LR-pdCtrl-01_SE_2200_2289_1M_bsf.nc" "bsf" "/pal=light_centered/lev=(-INF)(-30,30,4)(INF)" "l=1:12@ave" "/hlim=-180:180/vlim=-90:90" "BSF: eOR1L3P-R6812-IA-REF - CM605-LR-pdCtrl-01"'

